Name:		lilypond
Version:	2.12.2
Release:	4%{?dist}
Summary:	A typesetting system for music notation

Group:		Applications/Publishing
License:	GPLv2
URL:		http://www.lilypond.org
Source0:	http://download.linuxaudio.org/lilypond/sources/v2.12/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		lilypond-2.11.65-python26.patch
#Patch1:		lilypond-2.12.0-parse-scm.patch
Patch2:		lilypond-2.21.2-gcc44-relocate.patch
Patch3:		lilypond-consts.patch

Requires:	ghostscript >= 8.15
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Obsoletes: 	lilypond-fonts <= 2.12.1-1
Requires:	lilypond-aybabtu-fonts = %{version}-%{release}
Requires:	lilypond-century-schoolbook-l-fonts = %{version}-%{release}
Requires:	lilypond-emmentaler-fonts = %{version}-%{release}
Requires:	lilypond-feta-fonts = %{version}-%{release}
Requires:	lilypond-feta-alphabet-fonts = %{version}-%{release}
Requires:	lilypond-feta-braces-fonts = %{version}-%{release}
Requires:	lilypond-parmesan-fonts = %{version}-%{release}

Buildrequires:  t1utils bison flex ImageMagick gettext tetex
BuildRequires:  python-devel >= 2.4.0
BuildRequires:  mftrace >= 1.1.19
BuildRequires:  texinfo >= 4.8
BuildRequires:  guile-devel >= 1.8
BuildRequires:  ghostscript >= 8.15
BuildRequires:  pango-devel >= 1.12.0
BuildRequires:  fontpackages-devel

%description
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

%package aybabtu-fonts
Summary:	Lilypond aybabtu font
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}

%description aybabtu-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

This is the aybabtu font included in the package.

%package century-schoolbook-l-fonts
Summary:        Lilypond Century Schoolbook L fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}
Obsoletes:	lilypond-centuryschl-fonts <= 2.12.1-3

%description century-schoolbook-l-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

These are the Century Schoolbook L fonts included in the package.

%package emmentaler-fonts
Summary:        Lilypond emmentaler fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}

%description emmentaler-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

These are the emmentaler fonts included in the package.

%package feta-fonts
Summary:        Lilypond feta fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}

%description feta-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

These are the feta fonts included in the package.

%package feta-alphabet-fonts
Summary:        Lilypond feta-alphabet fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}

%description feta-alphabet-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

These are the feta-alphabet fonts included in the package.

%package feta-braces-fonts
Summary:        Lilypond feta-braces fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}

%description feta-braces-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

These are the feta-braces fonts included in the package.

%package parmesan-fonts
Summary:        Lilypond parmesan fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem
Requires:	lilypond-fonts-common = %{version}-%{release}

%description parmesan-fonts 
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

These are the parmesan fonts included in the package.

%package fonts-common
Summary:        Lilypond fonts common dir
Group:          User Interface/X
Requires:       fontpackages-filesystem


%description fonts-common
LilyPond is an automated music engraving system. It formats music
beautifully and automatically, and has a friendly syntax for its input
files.

This contains the directory common to all lilypond fonts.

%prep
%setup -q

%patch0 -p0
#%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
%configure --without-kpathsea --disable-checking \
	--with-ncsb-dir=%{_datadir}/fonts/default/Type1
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT package_infodir=%{_infodir} \
	vimdir=%{_datadir}/vim/vim72

chmod +x $RPM_BUILD_ROOT%{_libdir}/%{name}/%{version}/python/midi.so

# Symlink lilypond-init.el in emacs' site-start.d directory
pushd $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mkdir site-start.d
ln -s ../lilypond-init.el site-start.d
popd

# Change encoding to UTF8
pushd $RPM_BUILD_ROOT%{_infodir}
iconv -f iso-8859-1 -t utf-8 music-glossary.info > music-glossary.info.utf8
mv music-glossary.info.utf8 music-glossary.info
sed -e s,lilypond/,, -i *.info
popd

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
mv $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/otf/*.otf $RPM_BUILD_ROOT%{_fontdir}
mv $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/type1/*.pfb $RPM_BUILD_ROOT%{_fontdir}
rmdir $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/otf
rmdir $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/type1
ln -s %{_fontdir} $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/otf
ln -s %{_fontdir} $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/type1


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :


%preun
if [ "$1" = "0" ]; then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS.txt COPYING DEDICATION HACKING INSTALL.txt
%doc NEWS.txt README.txt ROADMAP THANKS VERSION
%{_bindir}/*
%{_libdir}/lilypond
%{_datadir}/lilypond
%{_datadir}/emacs/site-lisp
%{_datadir}/vim/vim*
%{_infodir}/*.gz
%{_mandir}/man1/*
%{_datadir}/omf/lilypond

%_font_pkg -n aybabtu aybabtu.otf

%_font_pkg -n century-schoolbook-l CenturySchL*otf

%_font_pkg -n emmentaler emmentaler*otf

%_font_pkg -n feta feta1*pfb feta2*pfb

%_font_pkg -n feta-alphabet feta-alphabet*pfb

%_font_pkg -n feta-braces feta-braces*pfb

%_font_pkg -n parmesan parmesan*pfb


%files fonts-common
%defattr(0644,root,root,0755)

%dir %{_fontdir}


%changelog
* Mon Jun 01 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.2-4
- Update for vim 7.2, BZ 503429.

* Wed Mar 04 2009 Caolán McNamara <caolanm@redhat.com> - 2.12.2-3
- fix up strchr const rets for const arg

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.2-1
- Update to 2.12.2.
- Patch for gcc 4.4.

* Thu Feb 19 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.1-6
- Split out feta and parmesan type1 fonts.

* Fri Jan 23 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.1-5
- Final font corrections.

* Thu Jan 22 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.1-4
- More font refinements.

* Wed Jan 21 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.1-3
- Drop feta-fonts package cruft.

* Wed Jan 14 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.1-2
- Implementing font_pkg.

* Tue Jan 06 2009 Jon Ciesla <limb@jcomserv.net> - 2.12.1-1
- Update to 2.12.1.
- Droppedn parse-scm patch, applied upstream.

* Tue Dec 30 2008 Jon Ciesla <limb@jcomserv.net> - 2.12.0-3
- Split out fonts subpackage, BZ 477416.

* Tue Dec 30 2008 Jon Ciesla <limb@jcomserv.net> - 2.12.0-2
- Re-fix Source0 URL.

* Wed Dec 17 2008 Jon Ciesla <limb@jcomserv.net> - 2.12.0-1
- New upstream, BZ 476836.
- Fixed Source0 URL.
- Patched to allow Python 2.6.
- Patch for parse-scm fix.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.11.57-2
- Rebuild for Python 2.6

* Mon Sep 08 2008 Jon Ciesla <limb@jcomserv.net> - 2.11.57-1
- Upgrade to new upstream.

* Wed Aug 27 2008 Jon Ciesla <limb@jcomserv.net> - 2.10.33-4
- Spec cleanup, fix for BZ 456842, vim file locations.

* Mon Apr  7 2008 Christopher Aillon <caillon@redhat.com> - 2.10.33-3
- Fix the build against GCC 4.3; simply missing some #includes

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.10.33-2
- Autorebuild for GCC 4.3

* Thu Sep 20 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.33-1
- New release.
- Fix source URL.
- Change licence from GPL to GPLv2.

* Tue Aug 21 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.29-1
- New release. Remove old patch.

* Wed Aug  1 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.25-2
- Patch to fix problems with recent versions of fontforge.

* Fri Jul 27 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.25-1
- New release & new source URL.

* Tue Mar 20 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.20-1
- New release.

* Thu Feb 15 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.17-1
- New release. Fix bug 225410.

* Thu Jan 25 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.13-1
- New release.

* Wed Jan 17 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.11-1
- New release.

* Fri Jan  5 2007 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.8-1
- New release.
- Fix source URL.

* Sat Dec 23 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.4-1
- New release.
- Finish fixing bug 219400.

* Wed Dec 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.2-2
- New release.
- Fix bug 219400.

* Mon Dec  4 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.1-1
- New release.

* Mon Nov 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.10.0-1
- New release. Update build requirements for 2.10 series.

* Fri Nov  3 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.8-1
- New release.

* Mon Oct  9 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.7-1
- New release.

* Wed Sep  6 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.6-2
- Rebuild for FC6
- Update directory for vim.
- Don't ghost .pyo files, as per changes in packaging guidelines (bug 205387).

* Thu Aug 10 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.6-1
- New release.

* Tue Jun  6 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.4-1
- New release.

* Sat May 20 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.3-1
- New upstream, remove patch.
- Put docs in separate SRPM.

* Mon May 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.2-3
- Fixes to dependencies, encoding of info files.
- Add docs as separate tarball (building them fails without ghostscript 8.50).

* Mon May 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.2-2
- Patch to fix segfault in fontconfig.

* Sat May 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.2-1
- New release.

* Tue May  2 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-4
- Add missing BuildRequires.
- Specify location of NCSB fonts to configure script.
- Disable parallel build.

* Tue Apr 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-3
- Make .so file executable.

* Tue Apr 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-2
- Use gettext.

* Mon Apr 10 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.8.1-1
- Initial build.
